// =====================================================================
//  $Id: TPrintAllEnvironmentVariablesCommand.cc,v 1.3 2003/10/06 17:02:37 goiwai Exp $
//  $Name: CLDAQ-1-11-00 $
//  $Log: TPrintAllEnvironmentVariablesCommand.cc,v $
//  Revision 1.3  2003/10/06 17:02:37  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:17:31  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TPrintAllEnvironmentVariablesCommand.hh"
#include "TUserInterface.hh"
#include "TRunManager.hh"

static const Tstring _name = "env";
static const Tstring _desc = "print all of environment.";

TPrintAllEnvironmentVariablesCommand::TPrintAllEnvironmentVariablesCommand( TRunManager* manager )
  : TCommand( manager, _name, _desc )
{;}

TPrintAllEnvironmentVariablesCommand::~TPrintAllEnvironmentVariablesCommand()
{;}

Tvoid TPrintAllEnvironmentVariablesCommand::Execute( const TstringList& arguments )
{
  if ( arguments.empty() ) {
    TUserInterface* ui = theRunManager -> GetUserInterface();
    ui -> ExecuteCommand( "printenv" );
  } else {
    ShowCommandDetail();
  }
  return;
}
